% FREXTRACT - Read time-series data from a frame file
% by B. Mours LAPP   Oct 22, 2002
%
% This Matlab mex file extract from a frame file the data for
%   one ADC channel (this is for Matlab version 5 and later)
%
% The input arguments are:
%   1) file name
%   2) ADC or PROC name
%   3) (optional) first frame (default= first frame in the file)
%   4) (optional) number of frame (default = 1 Frames)
%
% Returned matlab data:
%   1) ADC or PROC data (time serie)
%   2) (optional) time values relative to the first data point
%   3) (optional) frequency values (for FFT's)
%   4) (optional) GPS starting time (in second.nanosec)
%   5) (optional) starting time as a string
%   6) (optional) ADC comment as a string
%   7) (optional) ADC unit as a string
%   8) (optional) additional info: it is a 9 words vector which
%       content:crate #, channel#, nBits#, bias, slope,
%               sampleRate, timeOffset(S.N), fShift, overRange
%      All this values are stored as double
