% FRGETVECT - Read a data vector from a frame file
% by B. Mours Caltech&LAPP   May 2, 2002
%
% This Matlab mex file extract from a frame file the data for one
% vector (ADC ot Proc or Sim data) (this is for Matlab version 5)
%
% The input arguments are:
%   1) file name
%   2) vector name
%   3) (optional) starting GPS time(default= first frame in the file)
%   4) (optional) number of frame (default = 1 Frames)
%
% Returned matlab data:
%   1) ADC data (time serie stored as double)
%   2) (optional) time values relative to the first data point(double)
%   3) (optional) frequency values (for FFT's) (double)
%   4) (optional) GPS starting time (in second, stored in double)
%   5) (optional) starting time as a string
%   6) (optional) vector unitX as a string
%   7) (optional) vector unitY as a string
%      All this values are stored as double
